html {
    box-sizing: border-box;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

.clear::after {
    content: "";
    clear: both;
    display: table;
}

html,
body {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 15px;
    line-height: 1.5;
    color: #000;
}

nav {
    background-color: #fff;
    color: #000;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16);
    margin: 0px 0px 16px 0px;
    border-bottom-left-radius: 0.5em;
    border-bottom-right-radius: 0.5em;
}

nav>a {
    display: inline-block;
    padding: 8px 16px;
    vertical-align: middle;
    overflow: hidden;
    text-align: center;
    text-decoration: none;
    white-space: nowrap;
    background-color: #206E32;
    color: #fff;
    border-bottom-left-radius: 0.5em;
    border-bottom-right-radius: 0.5em;
}

nav a:hover {
    background-color: #2f9e49;
}

main {
    background-color: #fff;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    border-radius: 1em;
    min-height: 1200px;
    padding: 20px;
}

body {
    margin-top: 0;
}

h1 {
    text-align: center;
}

section {
    padding-bottom: 20px;
    margin-bottom: 20px;
}

.grid {
    display: grid;
    grid-template-columns: minmax(0, 1fr) minmax(1000px, 3fr) minmax(0, 1fr);
}

.grid-2c {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 1fr));
    column-gap: 15px;
    place-items: center;
}

.container-half {
    padding: 10px;
    text-align: center;
    min-height: 375px;
    min-width: 450px;
    width: 100%;
}

.card {
    border: 1px solid #adadad8a;
    box-shadow: 4px 4px 4px 4px rgba(0, 0, 0, 0.062);
    position: relative;
}

.center {
   margin-left: auto;
   margin-right: auto; 
}

button {
    background-color: #206E32;
    border: none;
    color: white;
    padding: 15px;
    font-size: 16px;
    border-radius: 0.5em;
}

button:active {
    background-color: #2f9e49;
}

.buttonRow {
    margin-bottom: 10px;
    width: 100%;
}

input[type="text"] {
    width: 100%;
    padding: 16px 8px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
}

textarea {
    width: 100%;
    height: 300px;
    padding: 20px 20px;
    margin: 22px 0 0 0;
    display: inline-block;
    border: 1px solid #ccc;
}

#ex1form .container {
    padding: 16px 0;
    text-align: left;
}

#ex1 input[type=text] {
    width: 100%;
    padding: 16px 8px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
}

#ex1json {
    width: 100%;
    height: 300px;
    padding: 20px 20px;
    margin: 22px 0 0 0;
    display: inline-block;
    border: 1px solid #ccc;
    overflow: scroll;
    font-family: Arial, Helvetica, sans-serif;
    white-space: pre-wrap;
}

#ex1loader {
    position: absolute;
    background-color: #0000005d;
    width: 100%;
    height: 100%;
    z-index: 100;
    align-content: center;
    margin: -8px;
    visibility: hidden;
}

#ex1loader .loader {
    width: 48px;
    height: 48px;
    margin: auto;
    border: 5px solid #FFF;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: ex1load 1s linear infinite;
}

@keyframes ex1load {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}